Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class ClassCompletionVerifier

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.classgen.ClassCompletionVerifier

All Implemented Interfaces:
  GroovyClassVisitor, GroovyCodeVisitor

    public class ClassCompletionVerifier

extends ClassCodeVisitorSupport

ClassCompletionVerifier

Constructor Summary
`ClassCompletionVerifier(SourceUnit source)`

Method Summary
`ClassNode` | `getClassNode()`
`protected SourceUnit` | `getSourceUnit()`
`void` | `visitBinaryExpression(BinaryExpression expression)`
`void` | `visitCatchStatement(CatchStatement cs)`
`void` | `visitClass(ClassNode node)`
`void` | `visitConstructorCallExpression(ConstructorCallExpression call)`
`void` | `visitField(FieldNode node)`
`void` | `visitMethod(MethodNode node)`

Methods inherited from class org.codehaus.groovy.ast.ClassCodeVisitorSupport
`addError, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDoWhileLoop, visitExpressionStatement, visitForLoop, visitIfElse, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`

Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport
`visitArgumentlistExpression, visitArrayExpression, visitAttributeExpression, visitBitwiseNegationExpression, visitBooleanExpression, visitCastExpression, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitDeclarationExpression, visitFieldExpression, visitGStringExpression, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassCompletionVerifier

    public ClassCompletionVerifier(SourceUnit source)

Method Detail

### getClassNode

    public ClassNode getClassNode()

### visitClass

    public void visitClass(ClassNode node)

  Specified by:
    `visitClass` in interface `GroovyClassVisitor`
  Overrides:
    `visitClass` in class `ClassCodeVisitorSupport`

### getSourceUnit

    protected SourceUnit getSourceUnit()

  Specified by:
    `getSourceUnit` in class `ClassCodeVisitorSupport`

### visitConstructorCallExpression

    public void visitConstructorCallExpression(ConstructorCallExpression call)

  Specified by:
    `visitConstructorCallExpression` in interface `GroovyCodeVisitor`
  Overrides:
    `visitConstructorCallExpression` in class `CodeVisitorSupport`

### visitMethod

    public void visitMethod(MethodNode node)

  Specified by:
    `visitMethod` in interface `GroovyClassVisitor`
  Overrides:
    `visitMethod` in class `ClassCodeVisitorSupport`

### visitField

    public void visitField(FieldNode node)

  Specified by:
    `visitField` in interface `GroovyClassVisitor`
  Overrides:
    `visitField` in class `ClassCodeVisitorSupport`

### visitBinaryExpression

    public void visitBinaryExpression(BinaryExpression expression)

  Specified by:
    `visitBinaryExpression` in interface `GroovyCodeVisitor`
  Overrides:
    `visitBinaryExpression` in class `CodeVisitorSupport`

### visitCatchStatement

    public void visitCatchStatement(CatchStatement cs)

  Specified by:
    `visitCatchStatement` in interface `GroovyCodeVisitor`
  Overrides:
    `visitCatchStatement` in class `ClassCodeVisitorSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD